【漏洞通告】QNAP QVR远程命令执行漏洞(CVE-2022-27588)

admin 2022年5月7日11:42:18安全漏洞评论44 views1815字阅读6分3秒阅读模式

0x00 漏洞概述

CVE   ID

CVE-2022-27588

发现时间

2022-05-06

类    型

命令执行

等    级

严重

远程利用

影响范围


攻击复杂度

用户交互

PoC/EXP


在野利用


 

0x01 漏洞详情

QVR是中国台湾威联通(QNAP Systems)公司的视频监控解决方案,托管在其 NAS 设备上。

5月6日,QNAP发布安全公告,修复了QNAP QVR中的一个远程命令执行漏洞(CVE-2022-27588),其CVSS评分为9.8。该漏洞影响了运行QVR 的 QNAP VS 系列 NVR,并存在于QVR 5.1.6 build 20220401之前的版本中,成功利用该漏洞可在易受攻击的 QVR 系统上远程执行任意命令。

此外,QNAP还修复了其它8个漏洞:

  • CVE-2021-38693:thttpd 中的路径遍历漏洞,影响了 QTS、QuTS hero 和QuTScloud(中危)。

  • CVE-2021-44055、CVE-2021-44056:Video Station 中的多个漏洞,允许访问敏感数据、执行未经授权的操作等(中危)。

  • CVE-2021-44057:运行 Photo Station 的 QNAP NAS 中的高危漏洞,允许破坏系统的安全性(高危)。

  • CVE-2021-44051:QTS、QuTShero 和 QuTScloud 中的命令注入漏洞(高危)。

  • CVE-2021-44052:QTS、QuTShero 和 QuTScloud 中的链接解析漏洞,可导致遍历文件系统到非预期位置并读取或覆盖文件(高危)。

  • CVE-2021-44053:QTS、QuTShero 和 QuTScloud 中的跨站脚本 (XSS) 漏洞,允许注入恶意代码(高危)。

  • CVE-2021-44054:QTS、QuTShero 和 QuTScloud 中的Open重定向漏洞,允许将用户重定向到带有恶意软件的页面(高危)。

 

影响范围

CVE-2022-27588:

QVR 版本 < 5.1.6 build 20220401

 

0x02 安全建议

目前这些漏洞已经修复,QVR用户可更新到5.1.6 build 20220401 或更高版本。上述其它漏洞的受影响版本和安全更新版本信息,请参考QNAP官方公告:

https://www.qnap.com/en/security-advisories

更新QVR:

1. 以管理员身份登录QVR;

2. 依次进入:Control Panel > System Settings > Firmware Update;

3. 选择Firmware Update选项卡;

4.单击Browse..上传最新的固件文件;

注:可从https://www.qnap.com/go/download为特定设备下载最新的固件文件。

5.单击Update System。

 

0x03 参考链接

https://www.qnap.com/en/security-advisory/qsa-22-07

https://www.bleepingcomputer.com/news/security/qnap-fixes-critical-qvr-remote-command-execution-vulnerability/

https://securityaffairs.co/wordpress/131000/security/qnap-fixes-critical-flaws.html

 

0x04 版本信息

版本

日期

修改内容

V1.0

2022-05-07

首次发布

 

0x05 附录

公司简介
启明星辰公司成立于1996年,并于2010年6月23日在深交所中小板正式挂牌上市,是国内极具实力的、拥有完全自主知识产权的网络安全产品、可信安全管理平台、安全服务与解决方案的综合提供商。
公司总部位于北京市中关村软件园,在全国各省、市、自治区设有分支机构,拥有覆盖全国的渠道体系和技术支持中心,并在北京、上海、成都、广州、长沙、杭州等多地设有研发中心。多年来,启明星辰致力于提供具有国际竞争力的自主创新的安全产品和最佳实践服务,帮助客户全面提升其IT基础设施的安全性和生产效能,为打造和提升国际化的民族信息安全产业领军品牌而不懈努力。 


关于我们
启明星辰安全应急响应中心主要针对重要安全漏洞的预警、跟踪和分享全球最新的威胁情报和安全报告。
关注以下公众号,获取全球最新安全资讯:

【漏洞通告】QNAP QVR远程命令执行漏洞(CVE-2022-27588)

 


原文始发于微信公众号(维他命安全):【漏洞通告】QNAP QVR远程命令执行漏洞(CVE-2022-27588)

特别标注: 本站(CN-SEC.COM)所有文章仅供技术研究,若将其信息做其他用途,由用户承担全部法律及连带责任,本站不承担任何法律及连带责任,请遵守中华人民共和国安全法.
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2022年5月7日11:42:18
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                  【漏洞通告】QNAP QVR远程命令执行漏洞(CVE-2022-27588) http://cn-sec.com/archives/983794.html

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: